MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028694Open CASCADE[OCCT] OCCT:Data Exchangepublic2017-04-26 18:102018-09-09 13:09
Reportermsv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0028694: IGES reader produces too small edge covered by its vertices
DescriptionThis bug has been discovered during fixing #23731 as a regression on "test bugs heal bug26671". Actually the shape got by reading from IGES file contains invalidity that is not reported by the current version of checkshape.
It is needed to analyze this case and understand whether the bug is in the IGES file or in the reader algorithm.
Steps To Reproduceigesbrep [locate_data_file bug26671.igs] r *

# check that all edges have enough length
foreach e [explode r e] {
  if {[lsearch [dump $e] degenerated] == -1 &&
      [validrange $e] == "edge has no valid range"} {
    regexp {Mass : *([0-9\-+.eE]+)} [lprops $e] dummy len
    regexp {Tolerance MAX=([0-9\-+.eE]+)} [tolerance $e] dummy tol
    puts "Error: edge $e (lenth=$len, tolerance=$tol) is too small"
  }
}
TagsNo tags attached.
Test case numberbugs iges bug28694_1, bug28694_2, bug28694_3, bug28694_4, bug28694_5, bug28694_6, bug28694_7, bug28694_8, bug28694_9
Attached Files

- Relationships
parent of 0030075newgka Open CASCADE Regression after implementation of fix for bug 28694. 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0065573)
msv (developer)
2017-04-26 18:25

The same bug is in test case "bugs iges buc60823". The command to read the model:
igesbrep [locate_data_file buc60823.igs] r *
(0065596)
msv (developer)
2017-04-27 12:37
edited on: 2017-04-28 15:04

More test cases with the same issue:
bugs iges buc60850
bugs iges bug58_1
bugs iges bug131_7
bugs iges bug133_1
bugs iges bug272_1
bugs iges bug272_2
bugs iges bug283
bugs iges bug285
bugs iges bug306
bugs iges bug365_3
bugs iges ger61337
bugs modalg_2 bug22893

(0069987)
apv (tester)
2017-08-28 16:04

Problem described in issue is reproduced on current state of OCCT.
(0078520)
git (administrator)
2018-08-09 12:27

Branch CR28694 has been created by skl.

SHA-1: fb31ed8b9b5e60994be2fc2691f129acfe670d38


Detailed log of new commits:

Author: skl
Date: Thu Aug 9 12:26:20 2018 +0300

    0028694: IGES reader produces too small edge covered by its vertices
    
    Method IsUClosed() is changed (check distance to middle point is added).
(0078540)
git (administrator)
2018-08-09 18:17

Branch CR28694_3 has been created by skl.

SHA-1: 0a711422b34e68296b484d9bd465d6ce887c3864


Detailed log of new commits:

Author: skl
Date: Thu Aug 9 18:15:41 2018 +0300

    0028694: IGES reader produces too small edge covered by its vertices
    
    Additional check.
(0078541)
git (administrator)
2018-08-09 18:21

Branch CR28694_4 has been created by skl.

SHA-1: 7865ed24092ce6e3a2d99e9fa5076fc833368a11


Detailed log of new commits:

Author: skl
Date: Thu Aug 9 18:19:40 2018 +0300

    0028694: IGES reader produces too small edge covered by its vertices
    
    Additional check.
(0078548)
git (administrator)
2018-08-10 08:15

Branch CR28694_5 has been created by skl.

SHA-1: b41288042396c1a95d9ecf9e2bc718e6808ee017


Detailed log of new commits:

Author: skl
Date: Fri Aug 10 08:14:04 2018 +0300

    0028694: IGES reader produces too small edge covered by its vertices
    
    Additional check 3.
(0078583)
git (administrator)
2018-08-13 11:03

Branch CR28694 has been updated forcibly by skl.

SHA-1: 5d0c15529aeb41cb9fd0c069979467c3fef99ef3
(0078600)
skl (developer)
2018-08-14 15:48

Branch CR28694 is ready to be reviewed.

Results of tests:
http://jenkins-test-12.nnov.opencascade.com/view/CR28694-master-skl/view/COMPARE/ [^]
(0078608)
gka (developer)
2018-08-14 18:00

Please update method ShapeAnalysis_Surface::IsUClosed and ShapeAnalysis_Surface::IsVClosed to remove redundant sqrt from values of distances
(0078612)
git (administrator)
2018-08-14 18:43

Branch CR28694 has been updated forcibly by skl.

SHA-1: cc8a2630d3578d4ab0ca4541cccd578cbddbaddd
(0078628)
git (administrator)
2018-08-15 15:35

Branch CR28694 has been updated forcibly by skl.

SHA-1: a5a9b60f1ddc86f0c97e63c1588b967a558368c6
(0078636)
skl (developer)
2018-08-15 18:28

Branch CR28694 is ready to be reviewed.

Results of tests:
http://jenkins-test-12.nnov.opencascade.com/view/CR28694-master-skl/view/COMPARE/ [^]
(0078637)
gka (developer)
2018-08-15 18:56

Please note that it is not desirable to change formatting of files during implementation of the fixes. Changing formatting should be performed as separate fix.

Please put only made modification in the class ShapeAnalysis_Surface without additional changing of formatting.
(0078646)
git (administrator)
2018-08-16 11:51

Branch CR28694 has been updated forcibly by skl.

SHA-1: 2637ba34c99e9a9edcc3f27f2368ee82d22739e7
(0078647)
skl (developer)
2018-08-16 11:52

Branch CR28694 is ready to be reviewed.
(0078652)
git (administrator)
2018-08-16 16:15

Branch CR28694 has been updated forcibly by skl.

SHA-1: 30fbd4f101a9aff353a2a4ec9836572483af23b4
(0078664)
gka (developer)
2018-08-16 19:02

Please correct check for closure surfaces in the methods IsUClosed() and IsVCLosed (lines 737-745 ; 951-958).
(0078705)
skl (developer)
2018-08-21 15:41

Branch CR28694 is ready to be reviewed.
(0078712)
bugmaster (administrator)
2018-08-22 07:42
edited on: 2018-08-22 07:44

Please comment regression on :

bugs step bug55

http://occt-tests/IR-WEEK33-OCCT/Debian80-64/bugs/step/bug55.html [^]
http://occt-tests/IR-WEEK33-OCCT/Windows-64-VC14/bugs/step/bug55.html [^]

Original:
http://occt-tests/CR28694-master-skl-OCCT/Debian80-64/summary.html [^]
http://occt-tests/CR28694-master-skl-OCCT/Windows-64-VC14/summary.html [^]

(0078713)
skl (developer)
2018-08-22 09:57

New bug 30075 is created for regression "bugs step bug55"
(0078715)
gka (developer)
2018-08-22 11:30

It is necessary to update test script bugs step bug55 in according with new behavior.
(0078717)
git (administrator)
2018-08-22 14:36

Branch CR28694 has been updated forcibly by skl.

SHA-1: 620caeb087c2b21cb36724f9615461cee79de99a
(0078718)
skl (developer)
2018-08-22 14:40

Test script bugs step bug55 is updated.
(0078722)
gka (developer)
2018-08-22 18:53

Branch CR28694 was reviewed
(0078775)
git (administrator)
2018-08-26 17:43

Branch CR28694 has been deleted by inv.

SHA-1: 620caeb087c2b21cb36724f9615461cee79de99a
(0078783)
git (administrator)
2018-08-26 17:43

Branch CR28694_5 has been deleted by inv.

SHA-1: b41288042396c1a95d9ecf9e2bc718e6808ee017
(0078784)
git (administrator)
2018-08-26 17:43

Branch CR28694_4 has been deleted by inv.

SHA-1: 7865ed24092ce6e3a2d99e9fa5076fc833368a11
(0078785)
git (administrator)
2018-08-26 17:43

Branch CR28694_3 has been deleted by inv.

SHA-1: 0a711422b34e68296b484d9bd465d6ce887c3864

- Related Changesets
occt: master 65bb82f2
Timestamp: 2018-08-09 09:26:20
Author: skl
Committer: bugmaster
Details ] Diff ]
0028694: IGES reader produces too small edge covered by its vertices

Methods IsUClosed() and IsVClosed() are changed (check distance to middle point is added).
mod - src/ShapeAnalysis/ShapeAnalysis_Surface.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_ComposeShell.cxx Diff ] File ]
mod - tests/bugs/iges/bug28694_1 Diff ] File ]
mod - tests/bugs/step/bug55 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-26 18:10 msv New Issue
2017-04-26 18:10 msv Assigned To => gka
2017-04-26 18:25 msv Note Added: 0065573
2017-04-27 12:36 msv Relationship added related to 0023731
2017-04-27 12:37 msv Note Added: 0065596
2017-04-27 17:14 msv Note Edited: 0065596 View Revisions
2017-04-28 15:04 msv Note Edited: 0065596 View Revisions
2017-07-27 11:15 abv Target Version 7.2.0 => 7.4.0*
2017-08-28 16:04 apv Test case number => bugs iges bug28694_1, bug28694_2, bug28694_3, bug28694_4, bug28694_5, bug28694_6, bug28694_7, bug28694_8, bug28694_9
2017-08-28 16:04 apv Note Added: 0069987
2018-08-01 18:25 gka Assigned To gka => skl
2018-08-01 18:25 gka Status new => assigned
2018-08-09 12:27 git Note Added: 0078520
2018-08-09 18:17 git Note Added: 0078540
2018-08-09 18:21 git Note Added: 0078541
2018-08-10 08:15 git Note Added: 0078548
2018-08-13 11:03 git Note Added: 0078583
2018-08-14 15:48 skl Note Added: 0078600
2018-08-14 15:48 skl Assigned To skl => gka
2018-08-14 16:13 skl Status assigned => resolved
2018-08-14 18:00 gka Note Added: 0078608
2018-08-14 18:00 gka Assigned To gka => skl
2018-08-14 18:00 gka Status resolved => assigned
2018-08-14 18:43 git Note Added: 0078612
2018-08-15 15:35 git Note Added: 0078628
2018-08-15 18:28 skl Note Added: 0078636
2018-08-15 18:28 skl Assigned To skl => gka
2018-08-15 18:28 skl Status assigned => resolved
2018-08-15 18:56 gka Note Added: 0078637
2018-08-15 18:57 gka Assigned To gka => skl
2018-08-15 18:57 gka Status resolved => assigned
2018-08-16 11:51 git Note Added: 0078646
2018-08-16 11:52 skl Note Added: 0078647
2018-08-16 11:52 skl Assigned To skl => gka
2018-08-16 11:52 skl Status assigned => resolved
2018-08-16 16:15 git Note Added: 0078652
2018-08-16 19:02 gka Note Added: 0078664
2018-08-16 19:02 gka Assigned To gka => skl
2018-08-16 19:02 gka Status resolved => assigned
2018-08-21 15:41 skl Note Added: 0078705
2018-08-21 15:41 skl Assigned To skl => gka
2018-08-21 15:41 skl Status assigned => resolved
2018-08-21 16:19 skl Relationship added parent of 0030075
2018-08-21 16:28 gka Assigned To gka => bugmaster
2018-08-21 16:28 gka Status resolved => reviewed
2018-08-22 07:42 bugmaster Note Added: 0078712
2018-08-22 07:42 bugmaster Status reviewed => feedback
2018-08-22 07:44 bugmaster Note Edited: 0078712 View Revisions
2018-08-22 09:57 skl Note Added: 0078713
2018-08-22 11:30 gka Note Added: 0078715
2018-08-22 11:30 gka Assigned To bugmaster => skl
2018-08-22 11:30 gka Status feedback => assigned
2018-08-22 14:36 git Note Added: 0078717
2018-08-22 14:40 skl Note Added: 0078718
2018-08-22 14:42 skl Assigned To skl => bugmaster
2018-08-22 14:43 skl Status assigned => feedback
2018-08-22 14:43 skl Assigned To bugmaster => gka
2018-08-22 14:43 skl Status feedback => resolved
2018-08-22 18:53 gka Note Added: 0078722
2018-08-22 18:53 gka Assigned To gka => bugmaster
2018-08-22 18:53 gka Status resolved => reviewed
2018-08-23 15:15 bugmaster Status reviewed => tested
2018-08-26 17:36 bugmaster Changeset attached => occt master 65bb82f2
2018-08-26 17:36 bugmaster Status tested => verified
2018-08-26 17:36 bugmaster Resolution open => fixed
2018-08-26 17:43 git Note Added: 0078775
2018-08-26 17:43 git Note Added: 0078783
2018-08-26 17:43 git Note Added: 0078784
2018-08-26 17:43 git Note Added: 0078785


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker